Create Order

Use this API to create an Order.

Environment

Use our UAT environment endpoint for testing and for integration utilize our production endpoint.

EnvironmentEndpoints
User Acceptance Testing [UAT]https://pluraluat.v2.pinepg.in/api/pay/v1/orders
Production [PROD]https://api.pluralpay.in/api/pay/v1/orders
Body Params
string
required

Enter a unique identifier for the order request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: 1234567890

Supported characters:
  • A-Z
  • a-z
  • -
  • _

order_amount
object
required

An object that contains the transaction amount details.

boolean

The pre-authorization type.

Possible values:
false (default): When pre-authorization is not required.
true: When pre-authorization is needed.

allowed_payment_methods
array of strings

The type of payment methods you want to offer your customers to accept payments.

Accepted values:

  • CARD
  • UPI
  • POINTS
  • NETBANKING
  • WALLET
  • CREDIT_EMI
  • DEBIT_EMI
Example: CARD

Note: Before selecting a payment method, ensure it is configured for you.

allowed_payment_methods
string

The note you want to show against an order.

Example: Order1

string

The URL to which your customers are redirected based on the order or product details, leading them to either a success or failure page.

Example: https://sample-callback-url

purchase_details
object

Object that contains the details of customer information, shipping address, and billing address.

string

The URL specifically used to redirect customers to a failure page based on the order or product details.

Note:

  • If the failure_callback_url is not provided, customers will be redirected to the callback_url for both successful and failed transactions.
  • If the failure_callback_url is provided, the callback_url will be used exclusively for successful transactions, while the failure_callback_url will be used for failed transactions.
  • If neither URL is provided, the default URL configured during merchant onboarding will be used.

split_info
object

Mandatory for Split Settlements

An object that contains the split settlement information.

Note: Kindly ensure split settlements are enabled for your account in the Pine Labs Online database.

string

Identifies the order type.

Possible values:

  • true: The order is processed for a MCC transaction.
  • false (default): The order is processed for a regular transaction.
Note: It is Mandatory to set this parameter to true for MCC transactions to ensure smooth payment processing and avoid transaction failures.

base_amount
object

An object that contains the transaction amount details.

Note: The base amount must always be specified in INR.

Headers
string
Defaults to application/json

The type of content included in the HTTP message body.

Possible value: application/json.

string
required
Defaults to Bearer

The HTTP header where you can include your secret token for authentication.

Example: Bearer <access_token>

Note: Use the access token generated using our Generate Token API.

string

Use ISO 8601 UTC Timestamp, to create a timestamp when the generate token is requested.

Example: 2024-07-09T07:57:08.022Z

string

Use a global unique identifier [GUID] for the request.

  • Minimum: 1 characters.
  • Maximum: 50 characters
Example: c17ce30f-f88e-4f81-ada1-c3b4909ed235

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Ask AI
Assistant
Order Lifecycle
Refunds
Settlements
Checkout
Dashboard
International Payments
How do I implement webhook notifications for payment status updates, and what's the recommended way to verify webhook authenticity?
How do I integrate Pine Labs payment gateway with my React Native mobile app and what are the required API credentials?
Can I customize the payment UI for card transactions, and what parameters can I pass to modify the checkout experience for my customers?
Assistant